aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Lecher (jlec) <jlec@j-schmitz.net>2009-11-14 00:23:22 +0100
committerJustin Lecher (jlec) <jlec@j-schmitz.net>2009-11-14 00:23:22 +0100
commitb6e8c0c6a0d9f6c47e14c9b8bdbf9aef513aadfe (patch)
treefb43a4288503d1f97b1aa0f50b05ccc2d801bab5 /dev-util/smartgit/smartgit-0_alpha7.ebuild
parentsci-chemistry/ccpn version bump (diff)
downloadsci-b6e8c0c6a0d9f6c47e14c9b8bdbf9aef513aadfe.tar.gz
sci-b6e8c0c6a0d9f6c47e14c9b8bdbf9aef513aadfe.tar.bz2
sci-b6e8c0c6a0d9f6c47e14c9b8bdbf9aef513aadfe.zip
dev-util/smartgit version bump
(Portage version: 2.2_rc49/git/Linux x86_64) (Signed Manifest commit)
Diffstat (limited to 'dev-util/smartgit/smartgit-0_alpha7.ebuild')
-rw-r--r--dev-util/smartgit/smartgit-0_alpha7.ebuild44
1 files changed, 44 insertions, 0 deletions
diff --git a/dev-util/smartgit/smartgit-0_alpha7.ebuild b/dev-util/smartgit/smartgit-0_alpha7.ebuild
new file mode 100644
index 000000000..3a1bd8552
--- /dev/null
+++ b/dev-util/smartgit/smartgit-0_alpha7.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit java-utils-2
+
+DESCRIPTION="SmartGIT"
+HOMEPAGE="http://www.syntevo.com/smartgit"
+SRC_URI="${PN}-generic-1-M6.tar.gz"
+
+SLOT="0"
+LICENSE="smartgit"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RESTRICT="fetch"
+
+RDEPEND=">=virtual/jre-1.4.1"
+
+S="${WORKDIR}"/smartgit-1-M6/
+
+pkg_nofetch(){
+ einfo "Please download ${MY_P}.tar.gz from:"
+ einfo "http://www.syntevo.com/smartgit/early-access.html"
+ einfo "and move/copy to ${DISTDIR}"
+}
+
+src_install() {
+ local rdir="/opt/${PN}"
+ insinto ${rdir}
+ doins -r * || die "cannot install needed files"
+
+ java-pkg_regjar "${D}"/${rdir}/lib/*.jar
+
+ java-pkg_dolauncher ${PN} --java_args "-Xmx256M -Dsmartgit.vm-xmx=256m" --jar ${PN}.jar
+
+ for X in 32 64 128
+ do
+ insinto /usr/share/icons/hicolor/${X}x${X}/apps
+ newins "${S}/bin/icon-${X}.png" "${PN}.png" || die "cannot install needed files"
+ done
+
+ make_desktop_entry "${PN}" "SmartGIT" ${PN}.png "Development;RevisionControl"
+}